2021-11-13 06:19:29 UTC
43.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:afe0e1febe23918824088b45b415ce1778e92899ae26f0867294eb91de50aa4f - 6.25% (2.7 MB)
[#001] sha256:c77ae2949f0c68422ea7eb3c79cdee4b8016a48f3c056625d981fda2126a4f92 - 0.0% (1.23 KB)
[#002] sha256:333790003bf543bc1470abdabe948ff03bfc53fae887d0928559e96eaf0fac3f - 93.75% (40.5 MB)
[#003] sha256:51c44e93225d9f849ee5d8490adcfd304fd24cc989d6637b07d32aa67c9d7a6d - 0.0% (174 Bytes)
[#004] sha256:63a156e59d99bb9c6105ba227d4028a1add1fac8f08518475a70849a924c136a - 0.0% (154 Bytes)
[#005] sha256:c59ca8eeaf0ca7d2fde65e0b7259bf8923ba973e6dfa858596c7ee50c019d736 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:f6503c5a96198c02627cf7250b271ec6d49ffa83a87a588498eee61ba7f9c6fe in /
2021-11-12 16:38:50 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-13 06:19:16 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.10
2021-11-13 06:19:16 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.10 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-13 06:19:16 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-13 06:19:17 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-13 06:19:25 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-13 06:19:26 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-13 06:19:27 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-13 06:19:27 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-13 06:19:28 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-13 06:19:28 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-13 06:19:28 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-13 06:19:28 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-13 06:19:29 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-13 06:19:29 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-11-12 21:59:04 UTC
43.8 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:5758d4e389a3f662e94a85fb76143dbe338b64f8d2a65f45536a9663b05305ad - 6.15% (2.69 MB)
[#001] sha256:81e2c1f7906065a4cd42e4d62b6b0bb1210343968bec2332b455f12275ad80c7 - 0.0% (1.23 KB)
[#002] sha256:726648a6f1d4dfbdd112cdebd05f18100c5faa4393a314bd14be947e20de583f - 93.84% (41.1 MB)
[#003] sha256:eb402eaf5bebb1aa06118318c62217955732df2610d038250b4320665cb28a60 - 0.0% (174 Bytes)
[#004] sha256:d1a7593bd225039971e09dd20556347c1ef097f2d4ca4b61534b49dd04743715 - 0.0% (153 Bytes)
[#005] sha256:bfe1eecc2c3ab6ff464433c7bcd422b6852761752b1569a34d24a7c35918b236 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:5a707b9d6cb5fff532e4c2141bc35707593f21da5528c9e71ae2ddb6ba4a4eb6 in /
2021-11-12 17:19:58 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-12 21:58:44 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.10
2021-11-12 21:58:44 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.10 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-12 21:58:45 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-12 21:58:46 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-12 21:58:58 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-12 21:58:59 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-12 21:59:01 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-12 21:59:02 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-12 21:59:02 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-12 21:59:03 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-12 21:59:03 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-12 21:59:04 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-12 21:59:04 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-12 21:59:04 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-11-13 06:04:14 UTC
39.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:846f3a0f3493d22f22643b6a1c057d2d37e608433cd1033d25dac92032b8b9e3 - 6.41% (2.51 MB)
[#001] sha256:94f2254d0cdcef69ac73640a6cc81362f1ef51b50d379756688f4812fcd571af - 0.0% (1.23 KB)
[#002] sha256:9b99f6f7345bc41a816ddc999ed6e1200cdc60082abe484180bd44f1dd471172 - 93.58% (36.7 MB)
[#003] sha256:6fa73ecab166d1aa41bbb57b7f8cdad4e68e22ea5ca6e27eb9e844ca2cdcc6b9 - 0.0% (174 Bytes)
[#004] sha256:8d112ea0b69b8c2f4cbad40bb296032d9e14b28179c046e7185c621264fb4026 - 0.0% (154 Bytes)
[#005] sha256:5e29fe5d164369c89b9a2d187450583c34069ecdf4cce4892d8514aab525592a - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:26e756fd544e28ae75be38d81452cf3266a2dabcffe9ecce3af2db9fde9edea3 in /
2021-11-12 16:49:58 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-13 06:03:50 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.10
2021-11-13 06:03:51 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.10 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-13 06:03:51 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-13 06:03:54 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-13 06:04:05 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-13 06:04:07 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-13 06:04:10 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-13 06:04:10 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-13 06:04:11 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-13 06:04:12 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-13 06:04:12 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-13 06:04:13 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-13 06:04:13 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-13 06:04:14 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2021-11-13 11:16:32 UTC
39.4 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:06decbbdea2401b400024fb2feadd51ee381cd4b7b78a30306c3828ec9f6c760 - 6.58% (2.59 MB)
[#001] sha256:d103d72fa4eb268a6f837f0785cdfda4307ac0376b71691da88f4db3136c0154 - 0.0% (1.2 KB)
[#002] sha256:68ecf5518a05936f8aafebc68040509889965fd914e880c2342c6e4451681f83 - 93.41% (36.8 MB)
[#003] sha256:796e6e3bd876a22c282e2f7a80632d81e23ad500a8a553495036781c1893e9a9 - 0.0% (142 Bytes)
[#004] sha256:3fdb3f2ca797e573a3f308efbc1344b4ce03245c147976ce7b6773ba2fcfd588 - 0.0% (153 Bytes)
[#005] sha256:d915e69a6d5494c2e7d33767b0511e28c9e2a79c318b2bd63cff6c9bab734559 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:ad85e8724ab9b90e37aadca9513807d07d557e7fc4287ca017f01f269aff3920 in /
2021-11-12 16:40:06 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2021-11-13 11:16:09 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.9.10
2021-11-13 11:16:10 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.9.10 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2021-11-13 11:16:11 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2021-11-13 11:16:12 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c addgroup consul && adduser -S -G consul consul
2021-11-13 11:16:23 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2021-11-13 11:16:24 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2021-11-13 11:16:25 UTC|1 CONSUL_VERSION=1.9.10 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2021-11-13 11:16:26 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2021-11-13 11:16:27 UTC/bin/sh -c #(nop) EXPOSE 8300
2021-11-13 11:16:28 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2021-11-13 11:16:29 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2021-11-13 11:16:31 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2021-11-13 11:16:31 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2021-11-13 11:16:32 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]